# Interface ByteChannel

All Superinterfaces:
  `AutoCloseable, Channel, Closeable, ReadableByteChannel, WritableByteChannel`

All Known Subinterfaces:
  `SeekableByteChannel`

All Known Implementing Classes:
  `DatagramChannel, FileChannel, SocketChannel`

public interface ByteChannel extends ReadableByteChannel, WritableByteChannel
A channel that can read and write bytes. This interface simply unifies `ReadableByteChannel` and `WritableByteChannel`; it does not specify any new operations.

Since:
  1.4

## Method Summary

### Methods declared in interface Channel

`close, isOpen`
Modifier and Type
Method
Description
`void`
`close()`
Closes this channel.
`boolean`
`isOpen()`
Tells whether or not this channel is open.

### Methods declared in interface ReadableByteChannel

`read`
Modifier and Type
Method
Description
`int`
`read(ByteBuffer dst)`
Reads a sequence of bytes from this channel into the given buffer.

### Methods declared in interface WritableByteChannel

`write`
Modifier and Type
Method
Description
`int`
`write(ByteBuffer src)`
Writes a sequence of bytes to this channel from the given buffer.